Uploaded image for project: 'Tools (JBoss Tools)'
  1. Tools (JBoss Tools)
  2. JBIDE-4802

Undeclared dependency from o.j.t.common.model to o.j.t.jsf.ui

    XMLWordPrintable

Details

    • Bug
    • Status: Closed (View Workflow)
    • Major
    • Resolution: Done
    • LATER
    • 4.6.0.Final
    • build
    • None

    Description

      I installed only the Hibernate support from JBoss Tools, since it's all that I need, but when I started Eclipse for the first time after install, I got the following error from the org.jboss.tools.common.model:

      eclipse.buildId=I20090611-1540
      java.version=1.6.0_16
      java.vendor=Sun Microsystems Inc.
      BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=pt_BR
      Framework arguments: -product org.eclipse.epp.package.reporting.product
      Command-line arguments: -os win32 -ws win32 -arch x86 -product org.eclipse.epp.package.reporting.product

      Info
      Thu Aug 20 16:01:19 BRT 2009
      ClassLoaderUtil:activate: Cannot find required plugin org.jboss.tools.jsf.ui

      Besides not being declared in the plugin descriptor (otherwise I wouln't have been able to install it), a "model" package depending on a UI package smells like cyclic dependency...

      Attachments

        Activity

          People

            scabanovich Viacheslav Kabanovich (Inactive)
            dserodio_jira Daniel Serodio (Inactive)
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: